Skip to main content
POST
Create Invoice Document

Authorizations

Authorization
string
header
required

Your API key, sent in the Authorization header: Authorization: YOUR_API_KEY. A Bearer prefix is also accepted (Authorization: Bearer YOUR_API_KEY). Keys are created in the Upwell dashboard (Account → API keys) and are scoped to one organization.

Path Parameters

invoiceId
string
required

"invoiceId" is required (enter it either in parameters or request body)

Body

application/json

Query parameters can also be provided in the request body as a JSON object

input
CreateInvoiceDocumentInput · object

Object containing the fields to create or update. Only the fields in this endpoint schema are accepted.

invoiceId
string

Upwell identifier of the associated invoice. Use an ID returned by the API.

Response

Responses for POST /api/rest/invoices/{invoiceId}/documents

createInvoiceDocument
InvoiceDocument · object

Create invoice document. See the schema for its JSON type and allowed values.